
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>activity-在 Activity 之间如何传递 LinkedHashMap？ / iVAN</title>

    <meta name="description" content="activity-在 Activity 之间如何传递 LinkedHashMap？ 问题描述 在 Activity 之间如何传递 LinkedHashMap? 我想在activities 之间传递 LinkedHashMap,代码如下:Activity A LinkedHashMap mLinkedHashMap = new LinkedHashMap&lt;String Object&gt;();// setting data in mapBundle bundle = new Bundle();bundle.putSerializable(&quot;&quot;OBJEC ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">activity-在 Activity 之间如何传递 LinkedHashMap？</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h1>问题描述</h1>
<dl>
<dt>在 Activity 之间如何传递 LinkedHashMap？        </dt>
<dd>我想在activities 之间传递  LinkedHashMap，代码如下：<br />Activity A</p>
<pre><code>LinkedHashMap mLinkedHashMap = new LinkedHashMap&lt;String Object&gt;();// setting data in mapBundle bundle = new Bundle();bundle.putSerializable(""OBJECTS_LINKED_HASHMAP"" mLinkedHashMap);  Intent intent = new Intent(this ActivityB.class); intent.putExtras(bundle);startActivity(intent);</code></pre>
<p>在 Activity 中当接受包对象时，却获取""Class cast exception"" 错误信息<br />Activity B</p>
<pre><code>Bundle bundle = this.getIntent().getExtras();LinkedHashMap mLinkedHashMap = new LinkedHashMap&lt;String Object&gt;();mLinkedHashMap = (LinkedHashMap&lt;String Object&gt;) bundle.getSerializable(""OBJECTS_LINKED_HASHMAP"");</code></pre>
<p>获得异常：</p>
<pre><code>ClassCastException: java.util.HashMap cannot be cast to LinkedHashMap</code></pre>
<p>我查相关资料得知 LinkedHashMap 也实现 Serializable 接口。<br />我使用 LinkedHashMap 保持对象的顺序。<br />在 Activity 之间如何传递 LinkedHashMap？</p>
</dd>
</dl>
<h1>解决方案</h1>
<p>关于在Activity之间传对像，最好的方法就是共享内存。</p>
<p>设计一个类作为单例模式，如下</p>
<pre><code>public class Share {private static Share current;public static Share getInstance() {    synchronized (Share.class) {        if(current == null) {            current = new Share();        }        return current;    }}final HashMap&lt;String Object&gt; memoryMap;public Share() {    memoryMap = new HashMap&lt;String Object&gt;();}public void put(String key Object value) {    memoryMap.put(key value);}public Object get(String key) {    return memoryMap.get(key);}</code></pre>
<p>}</p>
<pre><code>然后在Activity1里传一个key字符串值到Activity2里，再在Activity2里去获取Share里的对象，这样子既不用序列化也减少序列化所使用时间，总之，方便，快捷</code></pre>
<p>解决方案二：    <br />如果是同一个进程中且即传即用，可考虑直接用全局变量静态变量，即直接在ActivityB定义public static LinkedHashMap mLinkedHashMap，然后在ActivityA中直接写ActivityB. mLinkedHashMap= xxx赋值，在ActivityB启动时直接读取mLinkedHashMap。由于传过去之后马上就使用，因此不用担心内存不足被释放之类的问题。<br />如果是不同进程，就只能做系列化反系列化了。</p>
<p>解决方案三：    <br />只能转化到HashMap，转化会失败<br />我传个字符串转为HashMap成功了，一步到位好像有难度，你再加油摸索一下<br />(你若传对象，那个class像似要继承Serializable接口)<br />//mainActivity2</p>
<pre><code>if (getIntent().getSerializableExtra(""OBJECTS_LINKED_HASHMAP"") != null){                    Bundle bundle2 = this.getIntent().getExtras();            HashMap&lt;String Object&gt;   user_info = (HashMap&lt;String Object&gt;) bundle2.getSerializable(""OBJECTS_LINKED_HASHMAP"");            String str = user_info.toString();            System.out.println(""Got str:""+str); // Got str:{TEST=this is a test}        }</code></pre>
<p>//mainActivity1</p>
<pre><code>LinkedHashMap mLinkedHashMap = new LinkedHashMap&lt;String Object&gt;();            mLinkedHashMap.put(""TEST""this is a test"");            Bundle bundle = new Bundle();            bundle.putSerializable(""OBJECTS_LINKED_HASHMAP"" mLinkedHashMap);             Intent intent = new Intent(this UserActivity.class);             intent.putExtras(bundle);            startActivity(intent);</code></pre>
<p>解决方案四：    <br />The Extras in an intent are key-value-pairs in a Bundle which is actually a HashMap.</p>
<p>Java Code:<br />1<br />intent.putExtra(""tests.test.MyApp.A.EXTRA_KEY"" populateSelectedEntryList(selectedResultEntry));<br />In the above snippet we are adding the key-value-pair of ""tests.test.MyApp.A.EXTRA_KEY"" (as the key) and the LinkedHashMap returned by populateSelectedEntryList(selectedResultEntry) (as the value) to that internal HashMap.</p>
<p>Now when we call startActivity with the intent containing that Extras Bundle the Android system needs to convert that Bundle into Byte stream i.e. serialize the Bundle (because (1) the Activity to be started might be started in another process so the system serializes and then deserializes the objects in the Bundle so that it can recreate them in the other process. (2) Android saves the contents of the intent in some system tables so that it can recreate the intent later if needed).</p>
<p>So in the process of doing so the system has to see what type the ""values"" in the extras&#039; key-value-pairs are (in order to do the serialization in the most efficient way) by comparing them against a pool of known Object&#039;s ( like Integer Long String Map List Bundle etc.) one of which is a Map. So the system finds out that the type of value is Map so it serializes it and marks it as having the type Map.</p>
<p>When this value is deserialized in</p>
<p>Java Code:<br />1<br />LinkedHashMap dataHashMap = (LinkedHashMap) intent.getSerializableExtra(""tests.test.MyApp.A.EXTRA_KEY"");<br />Android converts that Map into a HashMap and there is No way to change this behavior of Android. :-|<br />无法在Activity之间直接传递LinkHashMap看来是Android反序列化bundle的一个“bug”了，看来只能使用其他方式传递了，比如json</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-04 00:47:14</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/activityjavaandroidintent/" title="activityjavaandroidintent">activityjavaandroidintent</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>activity-在 Activity 之间如何传递 LinkedHashMap？的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zGJB4Op.html" rel="bookmark">解析activity之间数据传递方法的详解&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1  基于消息的通信机制 Intent--------boudle,extra用这种简单的形式,一般而言传递一些简单的类型是比较容易的,如int.string等详细介绍下Intent机制Intent包含两部分:1 目的[action]-------要去到哪里去2 内容[category.data]----------路上带些什么,区分性数据和内容性数据简单数据传递: 复制代码 代码如下: Intent intent = new Intent(LoginActivity.this, MainAct			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MYjk3Qp.html" rel="bookmark">事件-android  surfaceview 和activity之间数据传递</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 android surfaceview 和activity之间数据传递 想实现一个功能 就是在mainActivity中放置一个surfaceview和一个Textview 在surfaceview中添加点击onTouch事件 每次点击 让自己定义的surfaceview的变量 step加一 并时时在mainActivity的TextView中更新step的显示 不知道问题有没有描述清楚 就是想在一个view中时时显示另外一个view中定义的变量 解决方案 public class M			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zVNg2nz.html" rel="bookmark">&vert;&vert;&vert;android中activity与fragment之间利用回调函数传递数据&vert;&vert;&vert;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 |||android中activity与fragment之间利用回调函数传递数据||| 最近开始学习android开发,碰上大问题,想实现这样一个效果,点击fragment中的一个button按钮,然后将这个按钮文本传递给activity,同时在activity剩余的布局中也创建一个相同的按钮,,不知道看懂我说的没? 在网上各种找资料说利用fragment向activity传递数据时需要在fragment创建一个回调接口,可是创建好了还是不知道怎么传递,主要问题在于activity中如			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pn84Job.html" rel="bookmark">详解Android Activity之间切换传递数据的方法&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前面照着android系统的裁剪图片的功能自己写了一个相似的工具.功能是大体上实现了,但留下了一个调用的问题:如何从我的程序调用这个裁剪工具,并且获得裁剪后的图片呢? 其实这个也很简单了,就是intent的基础用法. 先上个图(界面依旧没优化,难看就难看吧): 起始activity,打开图片选择窗口,随便选择一张图片 下面是跳转到裁剪界面 按下crop按钮,退出activity,回到原来界面,并显示裁剪后的图 流程就是这样,也算模拟了系统裁剪功能的整体过程.下面就是实现功能的关键代码和说明了.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bBkVPAM.html" rel="bookmark">Android基于Intent实现Activity之间数据传递的方法&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了Android基于Intent实现Activity之间数据传递的方法.分享给大家供大家参考,具体如下: MainActivity: package com.test.intentdemo; import android.app.Activity; import android.content.Intent; import android.net.Uri; import android.os.Bundle; import android.view.Menu; import andro			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z46PdNM.html" rel="bookmark">解析activity之间数据传递方法的详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1  基于消息的通信机制 Intent--------boudle,extra 用这种简单的形式,一般而言传递一些简单的类型是比较容易的,如int.string等 详细介绍下Intent机制 Intent包含两部分: 1 目的[action]-------要去到哪里去 2 内容[category.data]----------路上带些什么,区分性数据和内容性数据 简单数据传递: 复制代码 代码如下: Intent intent = new Intent(LoginActivity.this, M			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MN7W57p.html" rel="bookmark">安卓中activity与另一个activity的fragment之间相互传值</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 安卓中activity与另一个activity的fragment之间相互传值 activity与另一个activity的fragment之间相互传值 谁能详细说明一下吗 最后给一个例子 谢谢大家 解决方案 activity向另一个activity中的fragment传值fragment 向另一个activity传值并关闭当前activityFragment与Activity之间传值 解决方案二: activity与另一个activity的fragment 也就是activity和act			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqL37kb.html" rel="bookmark">Activity与Service之间交互并播放歌曲的实现代码</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				以下是对Activity与Service之间交互并播放歌曲的实现代码进行了详细的分析介绍,需要的朋友可以过来参考下   Activity与Service之间交互并播放歌曲,为了方便,我把要播放的歌曲定死了,大家可以灵活改进   MService: 复制代码 代码如下: package com.tiantian.test; import android.app.Service; import android.content.Intent; import android.media.MediaPla			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQr40KM.html" rel="bookmark">在cordova框架中，activity和js之间的交互怎么实现的？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 在cordova框架中,activity和js之间的交互怎么实现的? 初学cordova,发现运行cordova项目后,只执行html文件,要是和activity进行交互如何实现呢?网上很多的博客都看过一些,但是基本看不懂代码,类似这篇 http://blog.csdn.net/findsafety/article/details/45716087,没有注释表示看不懂啊,能有大神给解释一下吗?不甚感激!			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/5zOa75M.html" rel="bookmark" class="title">WIN8设计特性浅谈和腾讯微博MS首版设计思路分享</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 作者:dengxuecui(崔登学) miaotong(佟淼) 10月,一个收获的季节,微软的新一代操作系统window8悄然而至,同时,我们的微博客户 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM6qaOb.html" rel="bookmark" class="title">10个DIV&plus;CSS常见错误</a>
					<div>
						10个DIV+CSS常见错误,出了问题可以来参考下,是否您也犯了以下错误呢? 1. 检查HTML元素是否有拼写错误.是否忘记结束标记     即使是老手也经常会弄错div的嵌套关系.可以用dreamw ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMrN9yM.html" rel="bookmark" class="title">使用 ASP&period;NET 语法创建 Web 服务器控件模板</a>
					<div>
						asp.net|web|创建|服务器|控件|模板|语法    在 .aspx 文件中,将元素插入到控件中标识正在创建的模板: &lt;asp:DataList id=&quot;DataList1&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YbKD1WM.html" rel="bookmark" class="title">敏捷测试（2） ATDD概念</a>
					<div>
						什么是验收测试驱动开发 在准备实施一个功能或特性之前,首先团队需要定义出期望的质量标准和验收细则,以明确而且达成共识的验收测试计划(包含一系列测试场景)来驱动开发人员的TDD实践和测试人员的测试脚本开 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDAoWLb.html" rel="bookmark" class="title">Fireworks快速制作3D效果的字体</a>
					<div>
						  制作本文的3D字体,我们需要使用xara3D和Fireworks两个软件,其中xara3D下载可以去搜索引擎搜索下,这个软件主要用于制作文字的3D模型,随后导入到Fireworks中,接着用Fir ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlRPvqz.html" rel="bookmark" class="title">安装sql server 2008 management提示已安装 SQL Server 2005 Express的解</a>
					<div>
						SQL Server 2005 Express 工具不是sql server 2005 management,不用卸载sql server 2005 management,用一个小技巧就行   安装s ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPNjLDb.html" rel="bookmark" class="title">Photoshop打造柔美的黄褐色树林人物图片</a>
					<div>
						  效果图调色的时候只需要把素材中的黄绿色都转为橙黄色;然后给暗部增加红褐色;再把整体调柔和,局部渲染一些淡黄色高光即可. 原图 最终效果 1.打开原图素材大图,创建可选颜色调整图层,对黄色,绿色进行 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyrNn5p.html" rel="bookmark" class="title">php二维码加水印图片</a>
					<div>
						  $logo = 'logo.png'; if(is_file($logo)) { $QR = imagecreatefromstring(file_get_contents($filename)) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnY48oM.html" rel="bookmark" class="title">Photoshop打造甜美柔和的暖褐色草地美女图片</a>
					<div>
						  素材图片的暖色比较少,转为暖色的时候需要把高光及中间调部分的黄绿色都转为黄褐色,暗部的颜色转为红褐色,然后在合适的位置增加高光即可. 原图     最终效果     1.打开素材图片,创建色相/饱 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr3d7vp.html" rel="bookmark" class="title">Win7系统电脑卡屏是怎么回事？</a>
					<div>
						  一.配置较为低的电脑建议调整电脑的虚拟内存 1.计算机-属性-高级系统设置-性能设置-&quot;高级&quot;选项卡-虚拟内存-更改-选择要设置的驱动器c盘,选择系统管理大小或者根据需要选择自 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXjRLlb.html" rel="bookmark" class="title">Photoshop制作水晶球中的精灵</a>
					<div>
						  本教程主要用Photoshop制作水晶球中的精灵教程,结合了自制水晶球.特效笔刷的使用以及边框的制作等多项内容,虽然看上去很复杂,但只要你愿意仔细看看,就一定能学会! 效果图: 分类: PS入门教 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3oQQWb.html" rel="bookmark" class="title">如何解决打印后台程序服务没有运行的问题</a>
					<div>
						  打印后台程序服务没有运行的解决方法: 第一步:点击&quot;开始&quot;菜单--&gt;选择&quot;运行&quot;--&gt;在运行中输入&quot;services.msc&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN1gd7b.html" rel="bookmark" class="title">xcache 安装与配置</a>
					<div>
						http://netkiller.github.com/developer/php/ch09s20.html  [code=&quot;screen&quot;]# wget http://xcach ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjQQZVz.html" rel="bookmark" class="title">JS实现类似QQ好友头像hover时显示资料卡的效果</a>
					<div>
						一.应用场景 鼠标hover弹出div,并且鼠标离开后不能马上隐藏,因为这个div上还有功能入口.比如: 鼠标经过好友列表中的好友头像时显示资料卡的效果 hover时显示二维码 二.实现 用如下这样一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN7Ggmp.html" rel="bookmark" class="title">多字段同时匹配-oracle 函数regexp&lowbar;like 同时匹配多字段</a>
					<div>
						问题描述 oracle 函数regexp_like 同时匹配多字段 正则:'^(([1-9][0-9]*.[0-9]+)|(0.[0-9]+)|([1-9][0-9]*.[0-9]+)|([1-9][ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQrlOoM.html" rel="bookmark" class="title">人人喊杀的补丁大王Flash Adobe还不愿放手？</a>
					<div>
						近日,Computerworld报道称Adobe Flash Player2015年一共修复了316个Bug,平均每周6.1个.2014年5月到2015年5月的一年间,Flash Player共修复了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB1gN4z.html" rel="bookmark" class="title">是不是空指针-在窗体中添加button时 eclipse运行后提示挂起是什么意思是，该怎么改</a>
					<div>
						问题描述 在窗体中添加button时 eclipse运行后提示挂起是什么意思是,该怎么改 import javax.swing.ImageIcon; import javax.swing.JButto ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQBvvZM.html" rel="bookmark" class="title">Photoshop给树荫下的人物加上梦幻的暗蓝色</a>
					<div>
						  Photoshop给树荫下的人物加上梦幻的暗蓝色           素材图片比较暗,不过背景部分有点杂乱.调色的时候可以用模糊工具把远处背景模糊处理;再把暗部及暗角区域压暗一点,这样画面就简洁, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boKYj3b.html" rel="bookmark" class="title">国家电投光伏发电总装机突破千万千瓦</a>
					<div>
						记者从国家电投了解到,上月(8月)31日,国家电投黄河公司青海海南州太阳能生态发电产业园区100兆瓦地面光伏电站并网.至此,国家电投集团公司已投运的光伏发电装机已达到1002万千瓦,稳居全球第一,进入 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPBogvb.html" rel="bookmark" class="title">长虹手机销量增幅达30&percnt;长动力春节大热销</a>
					<div>
						迎接2010年农历春节,通信市场可谓是热火朝天,各大手机厂家.卖场纷纷出新招.尽管诺基亚等国外品牌仍然占据了很大的优势,但是国产手机却也有着不错的表现.手机新军,有着军工背景的长虹手机就在这个虎年春节 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnK1Xoz.html" rel="bookmark" class="title">纳斯达克市场上市首日故障共损失五千万美元</a>
					<div>
						[&lt;财经&gt;(http://www.aliyun.com/zixun/aggregation/5038.html&quot;&gt;博客,微博)综合报道] 华尔街日报(博客,微博)报道,据知 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOmZxqM.html" rel="bookmark" class="title">对象-android中参数this的问题，有大神说是javascript的语法，但我表示怀疑</a>
					<div>
						问题描述 android中参数this的问题,有大神说是javascript的语法,但我表示怀疑 android中TextView bookName = new TextView(this);// 声 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bod2jEM.html" rel="bookmark" class="title">mysql不同数据库不同数据表导入数据&lowbar;Mysql</a>
					<div>
						背景 现在我有这么一个需求: 数据库A的user表需要导入到数据库B的account表 user表字段:uid,username,email,password,regdate,salt account ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrqDOVb.html" rel="bookmark" class="title">Windows Server 2003&lpar;64位操作系统&rpar;RAID卡驱动安装</a>
					<div>
						&amp;http://www.aliyun.com/zixun/aggregation/37954.html&quot;&gt;nbsp;   由Pconline和微软发起并联合浪潮通软的&lt;第 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmBXD5z.html" rel="bookmark" class="title">寻找大侠，如果使用后台代码发布网站</a>
					<div>
						问题描述 寻找大侠,如果使用后台代码发布网站 解决方案 解决方案二:你想用代码操作vs么解决方案三:LZ想代码编译代码解决方案四:这个描述,我也是醉了,敢说的详细点吗?按我的理解给你回答一个右键你的项 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3JD3gz.html" rel="bookmark" class="title">张凡：双汇火腿肠内的蛆虫哪里来的</a>
					<div>
						双汇号称中国肉类第一品牌,肉制品生产18道安全检验,按道理说,双汇的肉制品在中国这块土地上质量是最好最安全的,但就是这个号称质量最好最安全的肉制品厂家却连续出现保质期内火腿肠 蛆虫事件.可能消费要问, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAEPmZM.html" rel="bookmark" class="title">微软将加大收购力度，以更多的资金并购更多的企业</a>
					<div>
						微软CEO史蒂夫-鲍尔默日前表示,微软将加大收购力度,以更多的资金并购更多的企业. 据韩国媒体报道,鲍尔默日前韩国首尔举行的记者招待会上称:&quot;我们的收购步伐会继续加快,将来,微软会收购更多的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlLNQVM.html" rel="bookmark" class="title">云计算引得IT巨头大PK</a>
					<div>
						深圳特区报记者 吴德群云计算是一个超前概念,现在倡导还为时过早--马化腾云计算不是最近几年才产生的理念,它已经产生了很多年--李彦宏云计算是个好东西.如果采用云计算模式,将会降低运营成本--马云 怀进 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5QAJmp.html" rel="bookmark" class="title">YDPG18的在线网络多人对战游戏功能</a>
					<div>
						周末无聊大家选择怎样的方式消遣,平时上班工作压力大,回到家,在等待开饭时,与好朋友来一场欢乐斗地主,轻松休闲又娱乐,是不是很美妙?欢乐斗地主是比赛性质的游戏,它精美的游戏界面,酷炫的打牌操作,智能选牌 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqWowaz.html" rel="bookmark" class="title">php把大写命名转换成下划线分割命名&lowbar;php技巧</a>
					<div>
						有时候需要把一个字符串中的大写转换成 _+小写的方式,在变量命名的时候会碰到这种问题,直接上代码: $name = 'AppPromoZhongQiu2014ActiveStatusSelector' ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
